#! /bin/sh
#
# module :
# prparation du rpertoire d'accueil de bibnemomaf
# - arborescence;
# - copie des images;
# - copie des feuilles de styles;
# - copie des .ht* (pas testable sur file:++);
# - etc.
#
# original location :
# /usr/home/fplod/incas/bibnemo/src/bibnemomaf/avant.sh sur aedon.locean-ipsl.upmc.fr
#
# update :
# fplod 2007-03-30T09:55:49Z aedon.locean-ipsl.upmc.fr (Darwin)
# cration
#
# ++ simu paramtre
produit=bibnemomaf
lang=en
#
DIRSRC=.
DIRWWW=/tmp/bibopa/
#
# destruction of previous installation
/bin/rm -r ${DIRWWW}/ 2> /dev/null
#
# building of directories
mkdir -p ${DIRWWW}/images/
mkdir -p ${DIRWWW}/php/
mkdir -p ${DIRWWW}/${lang}/one/
mkdir -p ${DIRWWW}/${lang}/many/${produit}03/
mkdir -p ${DIRWWW}/${lang}/many/${produit}04/
#
list_php="${DIRSRC}/phpversion.php ${DIRSRC}/server.php ${DIRSRC}/timestamp.php"
for file_php in ${list_php}
do
 cp ${file_php} ${DIRWWW}/php/
done
#
mkdir -p ${DIRWWW}/${lang}//images/ # ++ parce que un niveau de plus que d'haibitude dans les chunck
cp ${DIRSRC}/images/* ${DIRWWW}/images/ 
cp ${DIRSRC}/images/* ${DIRWWW}/en/images/ # ++ parce que un niveau de plus que d'habitude dans les chunck
#
# copy of CSS
cp ${DIRSRC}/*.css ${DIRWWW}/
cp ${DIRSRC}/*.css ${DIRWWW}/en/ # ++ parce que un niveau de plus que d'haibitude dans les chunck
#
# modification du temps de cration des rpetoires pour que le
# makefile dclenche les gnrations de html
find ${DIRWWW}/ -type d -exec touch -t 199912310000 {} \;
#
# fin
exit 0
